# std::queue<T,Container>::back

From cppreference.com
< cpp‎ | container‎ | queue

reference back(); |  |
const_reference back() const; |  |

Returns reference to the last element in the queue. This is the most recently pushed element. Effectively calls c.back().

### Parameters

(none)

### Return value

reference to the last element

### Complexity

Constant

### See also

front | access the first element (public member function)
push | inserts element at the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/queue/back&oldid=69407"